classification
Title: sys.set_coroutine_wrapper documented as to be removed in 3.8 (still there)
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: mbussonn, miss-islington
Priority: normal Keywords: patch

Created on 2019-05-15 23:11 by mbussonn, last changed 2019-05-28 17:30 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13577 merged mbussonn, 2019-05-25 23:56
PR 13627 merged mbussonn, 2019-05-28 15:07
Messages (4)
msg342615 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2019-05-15 23:11
See issue32591

It was deprecated in 3.7, so maybe removed only in 3.9?
msg343525 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2019-05-25 23:50
Some discussion in https://github.com/python/cpython/pull/13349#discussion_r284567113
msg343739 - (view) Author: miss-islington (miss-islington) Date: 2019-05-28 07:11
New changeset 3880f263d2994fb1eba25835dddccb0cf696fdf0 by Miss Islington (bot) (Matthias Bussonnier) in branch 'master':
bpo-36933: Remove sys.set_coroutine_wrapper (marked for removal in 3.8) (GH-13577)
https://github.com/python/cpython/commit/3880f263d2994fb1eba25835dddccb0cf696fdf0
msg343808 - (view) Author: miss-islington (miss-islington) Date: 2019-05-28 17:30
New changeset 382034b255935fbf0b5516708ac16a020d27af39 by Miss Islington (bot) (Matthias Bussonnier) in branch 'master':
bpo-36933: fix what's new. (GH-13627)
https://github.com/python/cpython/commit/382034b255935fbf0b5516708ac16a020d27af39
History
Date User Action Args
2019-05-28 17:30:56miss-islingtonsetmessages: + msg343808
2019-05-28 15:07:57mbussonnsetpull_requests: + pull_request13526
2019-05-28 07:11:25asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-28 07:11:05miss-islingtonsetnosy: + miss-islington
messages: + msg343739
2019-05-25 23:56:05mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13485
2019-05-25 23:50:35mbussonnsetmessages: + msg343525
2019-05-15 23:11:17mbussonncreate